- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
libetonyek::KEY2Defaults Class Reference

Default values for versions 2–5 of the format. More...

`#include <KEY2Defaults.h>`

Inheritance diagram for libetonyek::KEY2Defaults:

## Public Member Functions
virtual | ~KEY2Defaults ()
virtual void | applyPresentationSize (boost::optional< KEYSize > &size) const
virtual void | applyGeometry (boost::optional< KEYSize > &naturalSize, boost::optional< KEYPosition > &position) const
Public Member Functions inherited from libetonyek::KEYDefaults
virtual | ~KEYDefaults ()=0

## Detailed Description

Default values for versions 2–5 of the format.

## Constructor & Destructor Documentation

libetonyek::KEY2Defaults::~KEY2Defaults | ( |  | ) |
| virtual

## Member Function Documentation

void libetonyek::KEY2Defaults::applyGeometry | ( | boost::optional< KEYSize > & | naturalSize,
|  | boost::optional< KEYPosition > & | position
| ) |  | const
| virtual

Implements libetonyek::KEYDefaults.

void libetonyek::KEY2Defaults::applyPresentationSize | ( | boost::optional< KEYSize > & | size | ) | const
| virtual

Implements libetonyek::KEYDefaults.

The documentation for this class was generated from the following files:

- KEY2Defaults.h
- KEY2Defaults.cpp